<?php 

	if (Session::get("tipo_usuario") != "2"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$id_produto = (int) filter_input(INPUT_POST, "id_produto", FILTER_SANITIZE_STRING);

		$model = new Model();

		if (!empty($id_produto)) {
			$result = $model->insert("carrinho_compra", [
				"id_produto" => $id_produto,
				"id_usuario" => Session::get("id_usuario")
			]);

			if ($result > 0) {
				$last_query = $model->lastQuery();
				$model->insert("historico", [
					"comando_sql" => $last_query,
					"datahora_acao" => date("Y-m-d H:i:s"),
					"id_usuario" => Session::get("id_usuario")
				]);
				
				$model->commit();
				echo json_encode(["status" => true]);
			}
			else{
				$model->rollback();
				echo json_encode(["status" => false]);
			}
		}
		else{
			echo json_encode(["status" => false]);
		}
	}
	else{
		show_403();
	}

?>